org.eclipse.lyo.core.trs

## Class Page

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.core.trs.Page

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://www.w3.org/ns/ldp#")
      @OslcResourceShape(title="A Page in the Base Resource",
                         describes="http://www.w3.org/ns/ldp#Page")
      public class Page
      extends AbstractResource

  In TRS, the Base Resource is paginated using the W3C Linked Data Platform (LDP) Container pagination. This class defines a LDP resource.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Page()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getNextPage()`
    `Base` | `getPageOf()`
    `void` | `setNextPage(URI nextPage)`
    `void` | `setPageOf(Base pageOf)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Page

          public Page()

  - ### Method Detail

    - #### getNextPage

          @OslcName(value="nextPage")
          @OslcDescription(value="The representation of a page resource will contain a subset of the Base\'s rdfs:member predicates. In addition, it will contain another triple, whose subject is the page resource itself (i.e., not the Base resource), with a reference to the next page.")
          @OslcPropertyDefinition(value="http://www.w3.org/ns/ldp#nextPage")
          @OslcTitle(value="Next Page")
          public URI getNextPage()

      Returns:
        the nextPage

    - #### setNextPage

          public void setNextPage(URI nextPage)

      Parameters:
        `nextPage` - the nextPage to set

    - #### getPageOf

          @OslcName(value="pageOf")
          @OslcDescription(value="A reference back to the base resource this page belongs to.")
          @OslcPropertyDefinition(value="http://www.w3.org/ns/ldp#pageOf")
          @OslcTitle(value="Page Of")
          public Base getPageOf()

      Returns:
        the pageOf

    - #### setPageOf

          public void setPageOf(Base pageOf)

      Parameters:
        `pageOf` - the pageOf to set

Copyright © 2016. All rights reserved.